de.caff.util.settings

## Enum VerticalAlignment

- java.lang.Object
- - java.lang.Enum<VerticalAlignment>
  - - de.caff.util.settings.VerticalAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VerticalAlignment>

      public enum VerticalAlignment
      extends java.lang.Enum<VerticalAlignment>

  Vertical alignment.
  Author:
    Rammi

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Center` Centered.
    `North` North (top) aligned.
    `South` South (bottom) aligned.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getFactor()` Get a placement factor.
    `static VerticalAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VerticalAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### South

          public static final VerticalAlignment South

      South (bottom) aligned.

    - #### Center

          public static final VerticalAlignment Center

      Centered.

    - #### North

          public static final VerticalAlignment North

      North (top) aligned.

  - ### Method Detail

    - #### values

          public static VerticalAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VerticalAlignment c : VerticalAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VerticalAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getFactor

          public double getFactor()

      Get a placement factor.

      The factor may be used to align for a given height. It is calculated from South to North.

      Returns:
        placement factor.